Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class DescriptionMetaDataContainer

    java.lang.Object
      org.jboss.resource.metadata.DescriptionMetaDataContainer

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AuthenticationMechanismMetaData, ConfigPropertyMetaData, LicenseMetaData, RequiredConfigPropertyMetaData, SecurityPermissionMetaData

public class DescriptionMetaDataContainer
extends Object
implements Serializable

An abstract class for meta data that has descriptions

Version:
  $Revision: 1.1.6.1 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`DescriptionMetaDataContainer()`

Method Summary
`void` | `addDescription(DescriptionMetaData dmd)` Add a description
`DescriptionMetaData` | `getDescription()` Get the desription for the default language or the first description if there is no default
`DescriptionMetaData` | `getDescription(String lang)` Get the description for the give language
`Collection` | `getDescriptions()` Get the descriptions
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescriptionMetaDataContainer

    public DescriptionMetaDataContainer()

Method Detail

### getDescription

    public DescriptionMetaData getDescription()

  Get the desription for the default language or the first description if there is no default

  Returns:
    the description for the default language

### getDescription

    public DescriptionMetaData getDescription(String lang)

  Get the description for the give language

  Parameters:
    `lang` - the language
  Returns:
    the description

### addDescription

    public void addDescription(DescriptionMetaData dmd)

  Add a description

  Parameters:
    `dmd` - the description

### getDescriptions

    public Collection getDescriptions()

  Get the descriptions

  Returns:
    the descriptions

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.